import numpy as np

# Physical constants
hbar = 1.055e-34
m = 9.109e-31
e = 1.6023e-19
mu_B = 9.274e-24
kB = 8.6173324e-5 # eV/K


# Material dependent constants

# Effective masses
m_eff_InSb = 0.015*m
m_eff_InAs = 0.023*m

# Induced gap in proximitized InAs
delta_InAs = 0.2  # meV

# Niobium bulk gap
delta_Nb = 2.0 #meV

# Spin-orbit and g-factors
lso_InAs = 50e-9
g_InAs = -10
alpha_InAs = 28.0 # meV nm

# Pauli matrices
s0 = np.array([[1,0],[0,1]])
sx = np.array([[0,1],[1,0]])
sy = np.array([[0,-1j],[1j,0]])
sz = np.array([[1,0],[0,-1]])